package jp.sourceforge.orangesignal.ta.result;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class Bands7Test {

	@Test
	public void values() {
		final Bands7[] values = Bands7.values();
		for (final Bands7 value : values) {
			switch (value) {
			case UPPER_BAND3: case UPPER_BAND2: case UPPER_BAND1: case MIDDLE_BAND: case LOWER_BAND1: case LOWER_BAND2: case LOWER_BAND3:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
